"""============================================================
با فرض اینکه لیست حاوی شماره های تلفن ۴۵ نفر از ۶۰ نفر پرسنل
شرکتی قبلاً در ارایه T ذخیره شده است منطق برنامه ای را طراحی کنید
که شماره تلفن کارمندی را در ورودی دریافت کند سپس جستجو کند که آیا
شماره تلفن مذکور در لیست شماره های تلفن وجود دارد یا خیر و در
صورت وجود داشتن شماره تلفن و محل ذخیره ان در آرایه را چاپ کند
و در صورت وجود نداشتن پیام مناسبی را نمایش دهد
============================================================"""


T = [
    3765482, 2875169, 3545135, 3252835, 3334316,
    3088305, 4033025, 3823298, 2875584, 3561174,
    2241149, 2489107, 4125645, 3204710, 4028975,
    2808462, 3189421, 4323456, 3426569, 2288776,
    2920747, 3346497, 3642680, 4140406, 3329756,
    2471143, 4013691, 4362122, 4324995, 3685537,
    3766309, 2410386, 2354135, 2439616, 3718777,
    4105055, 2645279, 4190624, 4234041, 2539182,
    3113840, 3964774, 3829720, 3680340, 2807479
]
N = int(input("Please enter Telephone Number: "))
key = True
for i in range(len(T)):
    if T[i] == N:
        key = True
        index = i
        break
    else:
        key = False
if key == True:
    print("Index: ", index, "==>\tPhone Number: ", T[index])
else:
    print("Excuse me Sir")